Skip to main content

/callCatchUp ⇒

GET

This API is used to fetch the details of ongoing call catch-ups. It provides a summary to participants who joined the call after it started.

Your application server must provide a /callCatchUp endpoint to Android/Web/IOS clients to fetch the ongoing call catch-ups.

API signature in your application server.

* ENDPOINT :	'/callCatchUp/<room_name>'
* METHOD : GET
* HEADERS : Content-type: application/json
* RESPONSE : { "error": null, "data" : <Call catch-up data> }

To implement the /callCatchUp API under your application server use the following details.

* ADMIN BACKEND BASE URL : https://admin.<example.com>/api
* METHOD : GET
* API ENDPOINT : /call-catchup/:room_name
* HEADERS : Content-type: application/json

code snippet

Sample implementation of /callCatchUp API using nodejs technology.

const axios = require('axios');

const ADMIN_BACKEND_URL= 'https://admin.<example.com>/api'
const endpoint = '/call-catchup'
const room_name = 'testRoom'

const response = await axios.get(
ADMIN_BACKEND_URL+endpoint+"/"+room_name,
req,
{ headers: { 'Content-type': 'application/json' } }
)

return { error: null, data: response };

Sample response from Admin Control.

{
"error": null,
"data": "Meeting Summary content"
}

Response expected by Android/Web/IOS clients from Your Application Server.

{
"error": null,
"data": "Meeting Summary content"
}

Error Codes:

401 : Unauthorized (If authentication token is invalid or expired)

{
"data": null,
"error": {
"code": 401,
"message": "Unauthorized"
}
}

400 : Bad Request (If roomName query is not passed)

{
"data": null,yes
"error": {
"code": 400,
"message": "Room name required in query param."
}
}

404 : Not Found (If invalid url or wrong http method is used)

{
"error": {
"code": 404,
"message": "Not found"
},
"data": null
}

500 : Internal Server Error (If there is any exception on server side)

{
"error": {
"code": 500,
"message": "Internal server error"
},
"data": null
}

If your application server is built on Node.js technology, the ProCONF Server SDK's getCallCatchUp(roomName) method can be used. To integrate proconf-server-sdk please click here.

Call the getCallCatchUp(roomName) server SDK method into your application server.

const { roomName } = req.query;
const callCatchUp = await serverSDK.getCallCatchUp(roomName);